Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz
Class QuartzMessageDispatcherFactory

    java.lang.Object
      org.mule.transport.AbstractMessageDispatcherFactory
          org.mule.transport.quartz.QuartzMessageDispatcherFactory

All Implemented Interfaces:
  MessageDispatcherFactory

    public class QuartzMessageDispatcherFactory

extends AbstractMessageDispatcherFactory

Creates a QuartzMessageDispatcher instance.

Constructor Summary
`QuartzMessageDispatcherFactory()`

Method Summary
`MessageDispatcher` | `create(OutboundEndpoint endpoint)` Creates a new message dispatcher instance, initialised with the passed endpoint.

Methods inherited from class org.mule.transport.AbstractMessageDispatcherFactory
`activate, destroy, isCreateDispatcherPerRequest, passivate, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuartzMessageDispatcherFactory

    public QuartzMessageDispatcherFactory()

Method Detail

### create

    public MessageDispatcher create(OutboundEndpoint endpoint)
                             throws MuleException

  Description copied from interface: `MessageDispatcherFactory`
  Creates a new message dispatcher instance, initialised with the passed endpoint. The returned instance should be immediately useable.

  Specified by:
    `create` in interface `MessageDispatcherFactory`
  Specified by:
    `create` in class `AbstractMessageDispatcherFactory`
  Parameters:
    `endpoint` - the endoint for which this dispatcher should be created
  Returns:
    a properly created `MessageDispatcher` for this transport
  Throws:
    `MuleException` - if the dispatcher cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.